Bug 18289 - Support 'column' here for consistency with window.onerror?
Support 'column' here for consistency with window.onerror?
Status: RESOLVED FIXED
Product: WebAppsWG
Classification: Unclassified
Component: Web Workers (editor: Ian Hickson)
unspecified
Other other
: P3 blocker
: ---
Assigned To: Ian 'Hixie' Hickson
public-webapps-bugzilla
http://www.whatwg.org/specs/web-apps/...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-18 17:58 UTC by contributor
Modified: 2013-03-21 23:04 UTC (History)
9 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description contributor 2012-07-18 17:58:29 UTC
This was was cloned from bug 17731 as part of operation convergence.
Originally filed: 2012-07-10 11:40:00 +0000

================================================================================
 #0   contributor@whatwg.org                          2012-07-10 11:40:19 +0000 
--------------------------------------------------------------------------------
Specification: http://www.whatwg.org/specs/web-apps/current-work/multipage/workers.html
Multipage: http://www.whatwg.org/C#runtime-script-errors-0
Complete: http://www.whatwg.org/c#runtime-script-errors-0

Comment:
Support 'column' here for consistency with window.onerror?

Posted from: 2001:4c28:a030:30:f5b8:b3bc:1bdc:22c2 by simonp@opera.com
User agent: Opera/9.80 (Macintosh; Intel Mac OS X 10.7.3; U; en) Presto/2.10.289 Version/12.00
================================================================================
Comment 1 Erika Doyle Navara 2012-08-27 18:32:52 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are
satisfied with this response, please change the state of this bug to CLOSED. If
you have additional information and would like the Editor to reconsider, please
reopen this bug. If you would like to escalate the issue to the full HTML
Working Group, please add the TrackerRequest keyword to this bug, and suggest
title and text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this document:


   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Rejected
Change Description: No change
Rationale: The bug report applies to the WHATWG specification and not the HTML5 specification.
Comment 2 Edward O'Connor 2012-08-27 19:33:36 UTC
Erika,

Web Workers exist in a spec published by the Web Applications WG-instead of resolving this as invalid, we should move it to the correct WebApps component for consideration by that WG.
Comment 3 Erika Doyle Navara 2012-08-27 19:42:29 UTC
(In reply to comment #2)
> Erika,
> 
> Web Workers exist in a spec published by the Web Applications WG-instead of
> resolving this as invalid, we should move it to the correct WebApps component
> for consideration by that WG.

Thank you Ted, that was an oversight on my part (sorry Ian!). I'm removing the "outOfScope" keyword I originally applied to this while it was in the HTML WG product.
Comment 4 Arthur Barstow 2012-09-04 13:54:55 UTC
What exactly is the bug here? 

Is the question whether column number should be included in the ErrorEvent interface and the ErrorEventInit dictionary?

The prose in the spec indicates column number should be included in the API but there is no such member in the ErrorEvent interface nor the ErrorEventInit dictionary:

[[
http://dev.w3.org/html5/workers/#runtime-script-errors

Whenever an uncaught runtime script error occurs in one of the worker's scripts, if the error did not occur while handling a previous script error, the user agent must report the error at the URL of the resource that contained the script, with the position (line number and column number)  ...
]]

FYI, the following test case assumes the ErrorEvent should have a "colno" member:

  http://w3c-test.org/webapps/Workers/tests/submissions/Microsoft/WorkerGlobalScope_ErrorEvent_colno.htm
Comment 5 Simon Pieters 2012-09-04 14:44:41 UTC
Right.
Comment 6 Ian 'Hixie' Hickson 2012-09-28 04:01:43 UTC
This was fixed as part of bug 17731.

The attribute is "column", not "colno". No idea where Microsoft got that. That test is invalid.

Who do I assign this to to fix the test?
Comment 7 Ian 'Hixie' Hickson 2012-12-30 00:25:30 UTC
I've no idea who to reassign the bug to for the test.
Comment 8 Simon Pieters 2013-03-21 23:04:13 UTC
The test is not invalid, it's just confusing. It's actually testing the 4th argument to 'onerror' in the worker.